package scone.usertesttool;


/**
 * <p>Description: Is implemented by all objects that are abel to change during runtime or supply data to be saved.
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: University of Hamburg, Germany</p>
 * @author Torsten Hass
 * @version 1.1
 */

public interface AllComponents {
    public void setComponentEnabled(boolean enabled);            // enables or disables the component
    public void setComponentHighlighted(boolean highlight);     // gives buttons a yellow background
    public void componentRequestFocus();                        // for buttons: makes button the default button; for textfields: requests the focus  
    public void setComponentBottomPadding(int padding);         // set amount of vertical pixel added below the component
    public void setComponentName(String componentName);         // set name of component, defined in xml test description file
    public String getComponentName();                           // get name of component
}
